declare type TinyColor = {
  isDark: () => boolean;
  isLight: () => boolean;
  clone: () => TinyColor;
  lighten: (amount: number) => TinyColor;
  darken: (amount: number) => TinyColor;
  setAlpha: (amount: number) => TinyColor;
  toRgb: () => ThemeOverrideRgbaValue;
};
declare type ThemeOverrideRgbaValue = {
  r: number;
  g: number;
  b: number;
  a: number;
};
declare type OverrideRgbaValue = {
  r: number;
  g: number;
  b: number;
  a: number;
};
declare type VegaThemeOverrideColors = {
  actionColor?: string;
  sidebarColor?: string;
};
declare type OverridableToken = {
  name: string;
  overrideGetter?: (overrideColors: VegaThemeOverrideColors, tinycolor: (color: string | OverrideRgbaValue) => TinyColor) => string;
};
export declare const OverridableRingTokens: OverridableToken[];
export {};
